/* Morse code */

int ledPin = 13;
int unit = 500;
String message = "CAB";
String alphabet[26] = {
  ".-",   //A
  "-...", //B
  "-.-."  //C
};

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
}

void loop() {
  morseString(message);
  delay(5000);
  Serial.write("\n");
}

void morseString(String message) {
  for (int i = 0; i < message.length(); i++) {
    morseChar(message[i]);
  }
}

void morseChar(char c) {
  for (int i = 0; i < alphabet[c-65].length(); i++) {
    if (alphabet[c-65][i] == '.') morseDot();
    else if (alphabet[c-65][i] == '-') morseDash();
  }
  Serial.write("\n");
}

void morseDot() {
  Serial.write(".");
  digitalWrite(ledPin, HIGH);
  delay(unit * 1);
  digitalWrite(ledPin, LOW);
  delay(unit * 1);
}

void morseDash() {
  Serial.write("-");
  digitalWrite(ledPin, HIGH);
  delay(unit * 3);
  digitalWrite(ledPin, LOW);
  delay(unit * 1);
}



