/* Morse code */

int ledPin = 13;
int unit = 500;
String message = "ABBA";

void setup() {
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
}

void loop() {
  morseString(message);
  delay(5000);
  Serial.write("\n");
}

void morseString(String message) {
  for (int i = 0; i < message.length(); i++) {
    if (message[i] == 'A') {
      morseDot();
      morseDash();
    } else if (message[i] == 'B') {
      morseDash();
      morseDot();
      morseDot();
      morseDot();
    }
    Serial.write("\n");
  }
}

void morseDot() {
  Serial.write(".");
}

void morseDash() {
  Serial.write("-");
}

